package com.xinelu.applet.utils;

import org.simpleframework.xml.Serializer;
import org.simpleframework.xml.core.Persister;

/**
 * @Description Xml格式数据工具类
 * @Author 纪寒
 * @Date 2023-03-15 13:37:34
 * @Version 1.0
 */
public class XmlUtil {
    /**
     * Xml数据转换
     *
     * @param xml      数据格式
     * @param objClass 要转换的类
     * @return 返回结果
     */
    public static Object fromXml(String xml, Class objClass) {
        Serializer serializer = new Persister();
        try {
            return serializer.read(objClass, xml);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }
}
